#ifndef __INCLUDE_CON_BUF_BI__
#define __INCLUDE_CON_BUF_BI__

TYPE CONBUFFER_T
  As Integer maxrow      '' max rows
  As Integer maxcol      '' max columns
  As Integer row         '' current row
  As Integer col         '' current col
  As Integer size        '' size of console in bytes
  As Integer changed     '' set to TRUE if changed
  AS UByte Ptr dataptr   '' pointer to console data
END TYPE

Declare Sub conbuf_clear( ByVal conbuffer As CONBUFFER_T Ptr )
Declare Sub conbuf_text( ByVal conbuffer As CONBUFFER_T Ptr, ByVal txt As UByte ptr )
Declare Function conbuf_resize( ByVal conbuffer As CONBUFFER_T Ptr, ByVal rows As Integer, Byval cols As Integer)

#endif
