#ifndef __INCLUDE_JM_FONT_BI__
#define __INCLUDE_JM_FONT_BI__

Type JM_FONT_T
	typ as integer            '' type
  w As Integer							'' Character width
  h As Integer							'' Character height
	bpc As Integer						'' bytes per character (mode dependant, dword aligned, incl. header)
  chData as Any Ptr					'' pointer to character data
  tmpch As Any Ptr					'' temporary memory buffer
	handle as integer         '' extra handle value
End Type

Declare Function FONT_CreateFromImage(ByVal w As Integer, ByVal h As Integer, ByVal img as Any Ptr) As JM_FONT_T Ptr
Declare Function FONT_CreateFromBMP(ByVal w As Integer, ByVal h As Integer, strFile As String) As JM_FONT_T Ptr
Declare Function FONT_CreateFromTTF(ByVal w As Integer, ByVal h As Integer, strFile As String) As JM_FONT_T Ptr
Declare Function FONT_Get() As JM_FONT_T Ptr
Declare Function FONT_Set(fnt As JM_FONT_T Ptr) As JM_FONT_T Ptr
Declare Sub FONT_Delete(fnt As JM_FONT_T Ptr)

Declare Function FONT_GetTextWidth overload(ByVal s As ubyte Ptr, ByVal nBytes As Integer) As Integer
Declare Function FONT_GetTextHeight overload(ByVal s As ubyte Ptr, ByVal nBytes As Integer) As Integer

Declare Function FONT_GetTextWidth(s as string) As Integer
Declare Function FONT_GetTextHeight(s as string) As Integer

Declare Sub FONT_DrawChar (ByVal x as Integer, ByVal y as Integer, ByVal ch as Integer, ByVal foreColor as Integer, ByVal backColor as Integer)
'Declare Sub FONT_DrawSolidChar (ByVal x as Integer, ByVal y as Integer, ByVal ch as Integer, ByVal foreColor as Integer, ByVal backColor as Integer)

Declare Sub FONT_DrawString(ByVal x as Integer, ByVal y as Integer, _ 
	ByVal txt as ubyte Ptr, ByVal nBytes As Integer, _
	ByVal foreColor as Integer, ByVal backColor as Integer, ByVal Trans as integer)

Declare Sub FONT_DrawTTF(ByVal x as Integer, ByVal y as Integer, _ 
	ByVal txt as ubyte Ptr, ByVal nBytes As Integer, _
	ByVal foreColor as Integer, ByVal backColor as Integer, ByVal Trans as integer)

Extern FONT_curfnt As JM_FONT_T Ptr

#endif

