#ifndef __INCLUDE_JM_GUI_KEYS
#define __INCLUDE_JM_GUI_KEYS

#ifdef YAGL

#include "yaglwrapper.bi"
const KEY_F10        = YAGL_KEY_F10

const KEY_ESCAPE     = YAGL_KEY_ESCAPE
const KEY_LEFT       = YAGL_KEY_LEFT
const KEY_RIGHT      = YAGL_KEY_RIGHT
const KEY_DOWN       = YAGL_KEY_DOWN
const KEY_UP         = YAGL_KEY_UP
const KEY_PAGEDOWN   = YAGL_KEY_PAGEDOWN
const KEY_PAGEUP     = YAGL_KEY_PAGEUP
const KEY_HOME       = YAGL_KEY_HOME
const KEY_END        = YAGL_KEY_END
const KEY_BACK       = YAGL_KEY_BACKSPACE
const KEY_INSERT     = YAGL_KEY_INSERT
const KEY_DELETE     = YAGL_KEY_DELETE
const KEY_CLOSE      = &H6BFF
const KEY_NONE       = YAGL_KEY_NONE

#else

const KEY_F10        = &H44FF

const KEY_ESCAPE     = &H1B
const KEY_LEFT       = &H4BFF
const KEY_RIGHT      = &H4DFF
const KEY_DOWN       = &H50FF
const KEY_UP         = &H48FF
const KEY_PAGEDOWN   = &H51FF
const KEY_PAGEUP     = &H49FF
const KEY_HOME       = &H47FF
const KEY_END        = &H4FFF
const KEY_BACK       = &H0008
const KEY_INSERT     = &H52FF
const KEY_DELETE     = &H53FF
const KEY_CLOSE      = &H6BFF
const KEY_NONE       = 0

#endif

#endif
