''  jm_list_buffer.bas - jm_gui
''	Copyright (C) 2005,2006 Jeff Marshall (coder@execulink.com)
''
''	This program is free software; you can redistribute it and/or modify
''	it under the terms of the GNU General Public License as published by
''	the Free Software Foundation; either version 2 of the License, or
''	(at your option) any later version.
''
''	This program is distributed in the hope that it will be useful,
''	but WITHOUT ANY WARRANTY; without even the implied warranty of
''	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
''	GNU General Public License for more details.
''
''	You should have received a copy of the GNU General Public License
''	along with this program; if not, write to the Free Software
''	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.

Option Explicit

#include "jm_list_buffer.bi"

function LIST_BUFFER_Create(byval startsize as integer) as LIST_BUFFER_T ptr
	dim lst as LIST_BUFFER_T ptr = 0
	if startsize > 0 then
		lst = allocate(sizeof(LIST_BUFFER_T))
		if (lst) then
			lst->msize = startsize
			lst->mcount = 0
			lst->mitems = allocate(sizeof(LIST_BUFFER_ITEM_T) * lst->msize)
		end if
	end if
	function = lst
end function

sub LIST_BUFFER_Destroy(byval lst as LIST_BUFFER_T ptr)
	dim i as integer
	if (lst) then
		if (lst->mitems) then
			for i = 0 to lst->mcount - 1
				
			next i
			deallocate lst->mitems
		end if
		deallocate lst
	end if
end sub

function LIST_BUFFER_GetText(byval lst as LIST_BUFFER_T ptr, byval index as integer) as string
end function

sub LIST_BUFFER_SetText(byval lst as LIST_BUFFER_T ptr, index as integer, txt as string)
end sub

function LIST_BUFFER_GetValue(byval lst as LIST_BUFFER_T ptr, byval index as integer) as integer
end function

sub LIST_BUFFER_SetValue(byval lst as LIST_BUFFER_T ptr, index as integer, v as integer)
end sub
